<!DOCTYPE html>
<html>

<head>
	<title>Monster Slayer</title>
	<script src="https://npmcdn.com/vue/dist/vue.js"></script>
	<link rel="stylesheet" href="css/foundation.min.css">
	<link rel="stylesheet" href="css/app.css">
</head>

<body>
	<div id="app">
		<section class="row">
			<div class="small-6 columns">
				<h1 class="text-center">YOU</h1>
				<div class="healthbar">
					<div class="healthbar text-center" style="background-color: green; margin: 0; color: white;"
						:style="{width: playerHealth + '%'}">
						{{ playerHealth }}
					</div>
				</div>
			</div>
			<div class="small-6 columns">
				<h1 class="text-center">MONSTER</h1>
				<div class="healthbar">
					<div class="healthbar text-center" style="background-color: green; margin: 0; color: white;"
						:style="{width: monsterHealth + '%'}">
						{{ monsterHealth }}
					</div>
				</div>
			</div>
		</section>
		<section class="row controls" v-if="!isGameRunning">
			<div class="small-12 columns">
				<button id="start-game" @click="startGame">START NEW GAME</button>
			</div>
		</section>
		<section class="row controls" v-else>
			<div class="small-12 columns">
				<button id="attack" @click="attack">ATTACK (3-10)</button>
				<button
					id="special-attack"
					@click="specialAttack"
					:disabled="specialAttackUsed"
					:style="{ opacity: specialAttackUsed ? 0.25 : 1 }"
				>
					SPECIAL ATTACK (10-20)
				</button>
				<button id="heal" @click="heal">HEAL (+10)</button>
				<button id="give-up" @click="giveUp">GIVE UP</button>
			</div>
		</section>
		<section class="row log" v-if="logs.length > 0">
			<div class="small-12 columns">
				<ul>
					<li v-for="log in logs" :class="{'player-turn': log.isPlayer, 'monster-turn': !log.isPlayer}">
						{{ log.text }}
					</li>
				</ul>
			</div>
		</section>
	</div>
	<script src="app.js"></script>
</body>

</html>